BIO_ENDIO(9)

NAME
bio_endio - end I/O on a bio

SYNOPSIS

void bio_endio(struct bio * bio, int error);

ARGUMENTS

bio
    bio

error
    error, if any

DESCRIPTION

bio_endio will end I/O on the whole bio. bio_endio is the preferred way to end I/O on a bio, it takes care of clearing BIO_UPTODATE on error. error is 0 on success, and and one of the established -Exxxx (-EIO, for instance) error values in case something went wrong. No one should call bi_end_io directly on a bio unless they own it and thus know that it has an end_io function.

COPYRIGHT